Bug 820450 - ERROR with transaction check vs depsolve (python 2.7)
ERROR with transaction check vs depsolve (python 2.7)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 20:24 EDT by Roo
Modified: 2014-01-21 18:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 16:41:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roo 2012-05-09 20:24:40 EDT
ERROR with transaction check vs depsolve:
python(abi) = 2.6 is needed by (installed) alchemist-1.0.37-8.fc12.i686
python(abi) = 2.6 is needed by (installed) python-argparse-1.1-1.fc13.noarch           
python(abi) = 2.6 is needed by (installed) system-config-display-2.2-1.fc12.i686       
python-abi = 2.6 is needed by (installed) alchemist-1.0.37-8.fc12.i686 




How reproducible: Always


Steps to Reproduce:
1.yum -y update
2.
3.
  
Actual results:
Dependencies Resolved

=======================================================================================
 Package               Arch           Version                    Repository       Size
=======================================================================================
Updating:
 python                i686           2.7.3-1.fc16               updates          75 k
 python-devel          i686           2.7.3-1.fc16               updates         378 k
 python-fedora         noarch         0.3.28.1-1.fc16            updates         269 k
 python-libs           i686           2.7.3-1.fc16               updates         5.5 M
 tkinter               i686           2.7.3-1.fc16               updates         303 k

Transaction Summary
=======================================================================================
Upgrade  5 Packages

Total size: 6.5 M
Downloading Packages:
Running Transaction Check
ERROR with transaction check vs depsolve:
python(abi) = 2.6 is needed by (installed) alchemist-1.0.37-8.fc12.i686
python(abi) = 2.6 is needed by (installed) python-argparse-1.1-1.fc13.noarch           
python(abi) = 2.6 is needed by (installed) system-config-display-2.2-1.fc12.i686       
python-abi = 2.6 is needed by (installed) alchemist-1.0.37-8.fc12.i686                 
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum


Expected results:


Additional info:
Comment 1 James Antill 2012-05-10 16:41:39 EDT
 Upgrading from fc13 => fc16 isn't supported. The alchemist package has been retired (it might have had obsoletes, but those might have been removed by Fedora-16 packages).

 What does this say: yum list python
Comment 2 Roo 2012-05-10 16:57:58 EDT
I'm not upgrading F13-F16. Have been thru F15 to get to F16

yum list python
Loaded plugins: presto, refresh-packagekit
Installed Packages
python.i686                         2.7.2-5.2.fc16                          @anaconda-0
Available Packages
python.i686                         2.7.3-1.fc16                            updates    

So if alchemist is retired I should simply uninstall it?

Note You need to log in before you can comment on or make changes to this bug.